Bug 140255 - ACPI sleep (S3) leaves laptop LCD display on
ACPI sleep (S3) leaves laptop LCD display on
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-21 15:16 EST by Ben Liblit
Modified: 2015-01-04 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-29 20:38:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Liblit 2004-11-21 15:16:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922 Epiphany/1.2.7

Description of problem:
With ACPI enabled, I can put my ThinkPad X24 laptop to sleep (S3) and
wake it back up again.  However, while the laptop is asleep the
internal LCD display remains powered on.  The entire display is a sort
of dark gray color which is notably brighter than the black one would
see e.g. in a text console or with an entirely black X window.  This
tells me that the LCD display is still powered on in some respect.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. echo 3 >/proc/acpi/sleep

Actual Results:  LCD display is a uniform dark gray, indicating that
power is still being drawn off to illuminate the display.

Expected Results:  LCD display should go completely black, indicating
that no power is being drawn from the batter to power the display.

Additional info:
Comment 1 Dave Jones 2005-04-16 00:59:32 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 2 Ben Liblit 2005-04-17 20:22:22 EDT
The bug still occurs exactly as originally described using Fedora Core 3 and
Comment 3 Dave Jones 2005-07-15 15:00:58 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Ben Liblit 2005-07-17 12:51:17 EDT
Since this bug was first reported, I have:

  1. replaced my ThinkPad X24 with a ThinkPad X40
  2. upgraded to Fedora Core 4
  3. upgraded to the latest 2.6.12-1.1398_FC4 kernel

The problem does not appear in this configuration, but I cannot say for certain
which change made it go away.  The change in hardware is as likely the cause as
any real software fix.

Should I resolve this bug as WORKSFORME?  Let me know what you want me to do here.
Comment 5 Dave Jones 2005-07-29 20:38:17 EDT
Ok, I'll just close this. Thanks.

Note You need to log in before you can comment on or make changes to this bug.